<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
<title>LASi: LASi::show Class Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.5.4 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceLASi.html">LASi</a>::<a class="el" href="classLASi_1_1show.html">show</a></div>
<h1>LASi::show Class Reference</h1><!-- doxytag: class="LASi::show" -->stream applicator applied to <a class="el" href="classLASi_1_1oPostscriptStream.html" title="Just like any ordinary ostringstream, but maintains a reference to the PostscriptDocument...">oPostscriptStream</a>.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="LASi_8h-source.html">LASi.h</a>&gt;</code>
<p>

<p>
<a href="classLASi_1_1show-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLASi_1_1show.html#c16635bafaee7a8fe73e38a0a399890e">show</a> (const char *c_str)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Usage: os &lt;&lt; <a class="el" href="classLASi_1_1show.html" title="stream applicator applied to oPostscriptStream.">show</a>("some UTF-8 text") &lt;&lt; .  <a href="#c16635bafaee7a8fe73e38a0a399890e"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLASi_1_1show.html#1d5b248ce5dbe606bf264306fcbe0c1e">show</a> (std::string stl_str)</td></tr>

<tr><td colspan="2"><br><h2>Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLASi_1_1show.html#f4ba2832477b32b8407ac95ba36241cb">apply</a> (<a class="el" href="classLASi_1_1oPostscriptStream.html">oPostscriptStream</a> &amp;os) const </td></tr>

<tr><td colspan="2"><br><h2>Friends</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classLASi_1_1oPostscriptStream.html">oPostscriptStream</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLASi_1_1show.html#1428c20eb6c68ffa1eea433945b94ce0">operator&lt;&lt;</a> (<a class="el" href="classLASi_1_1oPostscriptStream.html">oPostscriptStream</a> &amp;os, const <a class="el" href="classLASi_1_1show.html">show</a> &amp;x)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">stream inserter for 'show' stream applicator  <a href="#1428c20eb6c68ffa1eea433945b94ce0"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
stream applicator applied to <a class="el" href="classLASi_1_1oPostscriptStream.html" title="Just like any ordinary ostringstream, but maintains a reference to the PostscriptDocument...">oPostscriptStream</a>. <hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="c16635bafaee7a8fe73e38a0a399890e"></a><!-- doxytag: member="LASi::show::show" ref="c16635bafaee7a8fe73e38a0a399890e" args="(const char *c_str)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">LASi::show::show           </td>
          <td>(</td>
          <td class="paramtype">const char *&nbsp;</td>
          <td class="paramname"> <em>c_str</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Usage: os &lt;&lt; <a class="el" href="classLASi_1_1show.html" title="stream applicator applied to oPostscriptStream.">show</a>("some UTF-8 text") &lt;&lt; . 
<p>
.. 
</div>
</div><p>
<a class="anchor" name="1d5b248ce5dbe606bf264306fcbe0c1e"></a><!-- doxytag: member="LASi::show::show" ref="1d5b248ce5dbe606bf264306fcbe0c1e" args="(std::string stl_str)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">LASi::show::show           </td>
          <td>(</td>
          <td class="paramtype">std::string&nbsp;</td>
          <td class="paramname"> <em>stl_str</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="f4ba2832477b32b8407ac95ba36241cb"></a><!-- doxytag: member="LASi::show::apply" ref="f4ba2832477b32b8407ac95ba36241cb" args="(oPostscriptStream &amp;os) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void LASi::show::apply           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classLASi_1_1oPostscriptStream.html">oPostscriptStream</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>os</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr><h2>Friends And Related Function Documentation</h2>
<a class="anchor" name="1428c20eb6c68ffa1eea433945b94ce0"></a><!-- doxytag: member="LASi::show::operator&lt;&lt;" ref="1428c20eb6c68ffa1eea433945b94ce0" args="(oPostscriptStream &amp;os, const show &amp;x)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classLASi_1_1oPostscriptStream.html">oPostscriptStream</a>&amp; operator&lt;&lt;           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classLASi_1_1oPostscriptStream.html">oPostscriptStream</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>os</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classLASi_1_1show.html">show</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>x</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [friend]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
stream inserter for 'show' stream applicator 
<p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="LASi_8h-source.html">LASi.h</a></ul>
<hr size="1"><address style="text-align: right;"><small>Generated on Fri Feb 8 17:25:20 2008 for LASi by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.4 </small></address>
</body>
</html>
